# 👨🏻‍🏭 Disclaimer and Contributing Guidelines

The intent of this package is to serve as an _example_ of how you can download archived NWP data, but it still might be useful to you. 

This package continues to evolve and is distributed _as is_. I do not make any guarantee it will work for you out of the box or is tailored to your needs. This package is essentially my playground for developing my python skills and testing new ideas. In fact, this is my first experience publishing a package to PyPI. Any revisions I make are purely for my benefit. I usually only push updates to GitHub if the code is in a reasonably functional state (at least, in the way I use it), so sorry if I break something you used.

With that said, I am happy to share this project with you. You are welcome to [open issues](https://github.com/blaylockbk/Herbie/issues), [ask questions in the discussion](https://github.com/blaylockbk/Herbie/discussions), submit pull requests, but know that I may or may not get around to doing anything about it. If this is helpful to you in any way, I'm glad.

**Thanks for using Herbie, and happy racing 🏁**  
\- Brian

![](https://raw.githubusercontent.com/blaylockbk/Herbie/master/images/herbie.jpg)

## Alternative  
As an alternative, you can use [rclone](https://rclone.org/) to download files from cloud platforms. I quite like rclone. Here is a [short rclone tutorial](https://github.com/blaylockbk/pyBKB_v3/blob/master/rclone_howto.md)

## Other Information
🌐 University of Utah HRRR Archive: [http://hrrr.chpc.utah.edu/](http://hrrr.chpc.utah.edu/)  
🙋🏻‍♂️ Questions: [GitHub Discussions](https://github.com/blaylockbk/Herbie/discussions)  
🚑 Support: [GitHub Issues](https://github.com/blaylockbk/Herbie/issues) or atmos-mesowest@lists.utah.edu  
📧 Email Brian Blaylock: blaylockbk@gmail.com

✒ I wrote a paper about archiving HRRR data in the cloud
> Blaylock B., J. Horel and S. Liston, 2017: Cloud Archiving and Data Mining of High Resolution Rapid Refresh Model Output. Computers and Geosciences. 109, 43-50. [https://doi.org/10.1016/j.cageo.2017.08.005](https://doi.org/10.1016/j.cageo.2017.08.005)

